Module java.desktop
Package java.awt.desktop

## Class PrintFilesEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.desktop.AppEvent
    - - java.awt.desktop.FilesEvent
      - - java.awt.desktop.PrintFilesEvent

All Implemented Interfaces:
  `Serializable`

    public final class PrintFilesEvent
    extends FilesEvent

Event sent when the app is asked to print a list of files.

Since:
  9
See Also:
  `PrintFilesHandler.printFiles(PrintFilesEvent)`, Serialized Form

### Field Summary

### Fields declared in class java.util.EventObject

`source`

### Constructor Summary

Constructors
`PrintFilesEvent​(List<File> files)` Constructs a `PrintFilesEvent`.

### Method Summary

### Methods declared in class java.awt.desktop.FilesEvent

`getFiles`

### Methods declared in class java.util.EventObject

`getSource, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrintFilesEvent

    public PrintFilesEvent​(List<File> files)

Constructs a `PrintFilesEvent`.

Parameters:
  `files` - the list of files
Throws:
  `HeadlessException` - if `GraphicsEnvironment.isHeadless()` returns `true`
  `UnsupportedOperationException` - if Desktop API is not supported on the current platform
See Also:
  `Desktop.isDesktopSupported()`, `GraphicsEnvironment.isHeadless()`